
	COMMENT ON TYPE box2d IS 'postgis type: xmin, ymin, xmax, ymaxで作られるボックス。しばしばジオメトリを囲む2次元のボックスを返すために使われます。';

	COMMENT ON TYPE box3d IS 'postgis type: xmin, ymin, zmin, xmax, ymax, zmaxで作られるボックス。しばしばジオメトリやジオメトリのコレクションの3次元範囲を返すために使われます。';

	COMMENT ON TYPE geometry IS 'postgis type: 平面空間データ型。';

	COMMENT ON TYPE geometry_dump IS 'postgis type: geom (ジオメトリオブジェクトを保持)とpath[] (ダンプされたオブジェクト内のジオメトリの位置を保持する1次元配列)とからなる二つのフィールドを持つ空間データ型。';

	COMMENT ON TYPE geography IS 'postgis type: 回転楕円体空間データ型。';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを既存の属性テーブルに追加します。デフォルトでは、制約の定義でなく型の変更を使います。use_typmodにfalseを渡すと制約ベースの古い挙動で動作します。';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを既存の属性テーブルに追加します。デフォルトでは、制約の定義でなく型の変更を使います。use_typmodにfalseを渡すと制約ベースの古い挙動で動作します。';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを既存の属性テーブルに追加します。デフォルトでは、制約の定義でなく型の変更を使います。use_typmodにfalseを渡すと制約ベースの古い挙動で動作します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION PostGIS_Extensions_Upgrade() IS 'インストールされたPostGISエクステンション (例: postgis_sfcgal, postgis_topology, postgis_tiger_geocoder)について、インストールされている最新版にアップグレードします。その後、完全なPostGISの版とビルド時のコンフィギュレーション情報を報告します。';
			
COMMENT ON FUNCTION PostGIS_Full_Version() IS '完全なPostGISのバージョン情報とコンフィギュレーション情報を報告します。';
			
COMMENT ON FUNCTION PostGIS_GEOS_Version() IS 'GEOSライブラリのバージョン番号を返します。';
			
COMMENT ON FUNCTION PostGIS_Liblwgeom_Version() IS 'liblwgeomライブラリの版番号を返します。PostGISの版と同じになるべきものです。';
			
COMMENT ON FUNCTION PostGIS_LibXML_Version() IS 'LibXML2ライブラリのバージョン番号を返します。';
			
COMMENT ON FUNCTION PostGIS_Lib_Build_Date() IS 'PostGISライブラリのビルド日付を返します。';
			
COMMENT ON FUNCTION PostGIS_Lib_Version() IS 'PostGISのバージョン番号を返します。';
			
COMMENT ON FUNCTION PostGIS_PROJ_Version() IS 'PROJ4のバージョン番号を返します。';
			
COMMENT ON FUNCTION PostGIS_Scripts_Build_Date() IS 'PostGISスクリプトのビルド日付を返します。';
			
COMMENT ON FUNCTION PostGIS_Scripts_Installed() IS 'このデータベースにインストールしたPostGISスクリプトの版を返します。';
			
COMMENT ON FUNCTION PostGIS_Scripts_Released() IS 'インストールしたPostGISライブラリとともにリリースされたpostgis.sqlスクリプトのバージョン番号を返します。';
			
COMMENT ON FUNCTION PostGIS_Version() IS 'PostGISバージョン番号とコンパイルオプションを返します。';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - ジオメトリカラムが型修飾子で定義されるか、適切な制約を持つことを確実にします。ジオメトリカラムがgeometry_columnsに正しく登録されることを確実にします。デフォルトでは、型修飾子によらないジオメトリカラムを型修飾子によるジオメトリカラムに変換します。以前の挙動にするにはuse_typmod=falseとします。';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - ジオメトリカラムが型修飾子で定義されるか、適切な制約を持つことを確実にします。ジオメトリカラムがgeometry_columnsに正しく登録されることを確実にします。デフォルトでは、型修飾子によらないジオメトリカラムを型修飾子によるジオメトリカラムに変換します。以前の挙動にするにはuse_typmod=falseとします。';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - ジオメトリカラムの全てのフィーチャーのSRID、geometry_columnsメタデータとSRIDテーブル制約を更新します。制約付きの場合には、制約が新しいSRID制約に更新されます。型定義付きの場合は、型定義が変更されます。';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - ジオメトリカラムの全てのフィーチャーのSRID、geometry_columnsメタデータとSRIDテーブル制約を更新します。制約付きの場合には、制約が新しいSRID制約に更新されます。型定義付きの場合は、型定義が変更されます。';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - ジオメトリカラムの全てのフィーチャーのSRID、geometry_columnsメタデータとSRIDテーブル制約を更新します。制約付きの場合には、制約が新しいSRID制約に更新されます。型定義付きの場合は、型定義が変更されます。';
			
COMMENT ON FUNCTION ST_BdPolyFromText(text , integer ) IS 'args: WKT, srid - マルチラインストリングのWell-Known Text表現による、閉じたラインストリングの任意のコレクションからポリゴンを生成します。';
			
COMMENT ON FUNCTION ST_BdMPolyFromText(text , integer ) IS 'args: WKT, srid - マルチラインストリングのWell-Known Text表現による、閉じたラインストリングの任意のコレクションからマルチポリゴンを構築します。';
			
COMMENT ON FUNCTION ST_Box2dFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash文字列からBOX2Dを返します。';
			
COMMENT ON FUNCTION ST_GeogFromText(text ) IS 'args: EWKT - Well-Known Text表現または拡張WKTから指定したジオグラフィ値を返します。';
			
COMMENT ON FUNCTION ST_GeographyFromText(text ) IS 'args: EWKT - Well-Known Text表現または拡張WKTから指定したジオグラフィ値を返します。';
			
COMMENT ON FUNCTION ST_GeogFromWKB(bytea ) IS 'args: wkb - Well-Known Binaryジオメトリ表現(WKB)または拡張WKB(EWKB)からジオグラフィインスタンスを生成します。';
			
COMMENT ON FUNCTION ST_GeomFromTWKB(bytea ) IS 'args: twkb - TWKB ("Tiny Well-Known Binary")ジオメトリ表現からジオメトリインスタンスを生成します。';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text , integer ) IS 'args: WKT, srid - WKT表現と与えられたSRIDからジオメトリのコレクションを生成します。SRIDが与えられていない場合は0とします。';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text ) IS 'args: WKT - WKT表現と与えられたSRIDからジオメトリのコレクションを生成します。SRIDが与えられていない場合は0とします。';
			
COMMENT ON FUNCTION ST_GeomFromEWKB(bytea ) IS 'args: EWKB - 拡張Well-Known Binary表現 (EWKB)から指定したST_Geometry値を返します。';
			
COMMENT ON FUNCTION ST_GeomFromEWKT(text ) IS 'args: EWKT - 拡張Well-Known Text表現 (EWKT)から指定されたST_Geometry値を返します。';
			
COMMENT ON FUNCTION ST_GeometryFromText(text ) IS 'args: WKT - Well-Knwon Text表現 (WKT)から指定したST_Geometry値を返します。これはST_GeomFromTextの別名です。';
			
COMMENT ON FUNCTION ST_GeometryFromText(text , integer ) IS 'args: WKT, srid - Well-Knwon Text表現 (WKT)から指定したST_Geometry値を返します。これはST_GeomFromTextの別名です。';
			
COMMENT ON FUNCTION ST_GeomFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash文字列からジオメトリを返します。';
			
COMMENT ON FUNCTION ST_GeomFromGML(text ) IS 'args: geomgml - GML表現からPostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GeomFromGML(text , integer ) IS 'args: geomgml, srid - GML表現からPostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - ジオメトリのGeoJSON表現を入力として、PostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(json ) IS 'args: geomjson - ジオメトリのGeoJSON表現を入力として、PostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(jsonb ) IS 'args: geomjson - ジオメトリのGeoJSON表現を入力として、PostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GeomFromKML(text ) IS 'args: geomkml - ジオメトリのKML表現の入力をとり、PostGISジオメトリオブジェクトを出力します。';
			
COMMENT ON FUNCTION ST_GMLToSQL(text ) IS 'args: geomgml - GML表現から指定したST_Geometry値を返します。これはST_GeomFromGMLの別名です。';
			
COMMENT ON FUNCTION ST_GMLToSQL(text , integer ) IS 'args: geomgml, srid - GML表現から指定したST_Geometry値を返します。これはST_GeomFromGMLの別名です。';
			
COMMENT ON FUNCTION ST_GeomFromText(text ) IS 'args: WKT - Well-Known Text表現 (WKT)から指定したST_Geometryを返します。';
			
COMMENT ON FUNCTION ST_GeomFromText(text , integer ) IS 'args: WKT, srid - Well-Known Text表現 (WKT)から指定したST_Geometryを返します。';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - Well-Knwon Binaryジオメトリ表現 (WKB)と任意パラメタのSRIDからジオメトリインスタンスを生成します。';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - Well-Knwon Binaryジオメトリ表現 (WKB)と任意パラメタのSRIDからジオメトリインスタンスを生成します。';
			
COMMENT ON FUNCTION ST_LineFromEncodedPolyline(text , integer ) IS 'args: polyline, precision=5 - エンコード化ポリラインからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometry ) IS 'args: aMultiPoint - マルチポイントジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_LineFromText(text ) IS 'args: WKT - WKT表現と与えられたSRIDからジオメトリを生成します。SRIDが与えられていない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_LineFromText(text , integer ) IS 'args: WKT, srid - WKT表現と与えられたSRIDからジオメトリを生成します。SRIDが与えられていない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea ) IS 'args: WKB - WKB表現と与えられたSRIDからLINESTRINGを生成します。';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea , integer ) IS 'args: WKB, srid - WKB表現と与えられたSRIDからLINESTRINGを生成します。';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea ) IS 'args: WKB - WKB表現と与えられたSRIDからジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea , integer ) IS 'args: WKB, srid - WKB表現と与えられたSRIDからジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakeBox2D(geometry , geometry ) IS 'args: pointLowLeft, pointUpRight - 与えられたポイントジオメトリから定義されるBOX2Dを生成します。';
			
COMMENT ON FUNCTION ST_3DMakeBox(geometry , geometry ) IS 'args: point3DLowLeftBottom, point3DUpRightTop - 与えられた3次元ポイントジオメトリから定義されるBOX3Dを生成します。';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - 与えられた最小値と最大値から長方形ポリゴンを生成します。入力値はSRIDで指定された空間参照系でなければなりません。';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - 与えられた外環で形成されるポリゴンを生成します。入力ジオメトリは閉じたラインストリングでなければなりません。';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - 与えられた外環で形成されるポリゴンを生成します。入力ジオメトリは閉じたラインストリングでなければなりません。';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision) IS 'args: x, y - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision) IS 'args: x, y, z - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - X, Y, M座標を持つポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MLineFromText(text , integer ) IS 'args: WKT, srid - WKT表現から指定したST_MultiLineString値を返します。';
			
COMMENT ON FUNCTION ST_MLineFromText(text ) IS 'args: WKT - WKT表現から指定したST_MultiLineString値を返します。';
			
COMMENT ON FUNCTION ST_MPointFromText(text , integer ) IS 'args: WKT, srid - Well-Known Text (WKT)表現と与えられたSRIDからジオメトリを生成します。SRIDを与えない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_MPointFromText(text ) IS 'args: WKT - Well-Known Text (WKT)表現と与えられたSRIDからジオメトリを生成します。SRIDを与えない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_MPolyFromText(text , integer ) IS 'args: WKT, srid - Well-Known Text (WKT)表現と与えられたSRIDからマルチポリゴンを生成します。SRIDが与えられていない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_MPolyFromText(text ) IS 'args: WKT - Well-Known Text (WKT)表現と与えられたSRIDからマルチポリゴンを生成します。SRIDが与えられていない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - 与えられた座標値のST_Pointを返します。ST_MakePointのOGC別名です。';
			
COMMENT ON FUNCTION ST_PointFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash文字列からポイントを返します。';
			
COMMENT ON FUNCTION ST_PointFromText(text ) IS 'args: WKT - WKTと与えられたSRIDからポイントジオメトリを生成します。SRIDが与えられていない場合は0 (不明)とします。';
			
COMMENT ON FUNCTION ST_PointFromText(text , integer ) IS 'args: WKT, srid - WKTと与えられたSRIDからポイントジオメトリを生成します。SRIDが与えられていない場合は0 (不明)とします。';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - WKBと与えられたSRIDからジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - WKBと与えられたSRIDからジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - 指定されたラインストリングとSRIDからポリゴンを生成します。';
			
COMMENT ON FUNCTION ST_PolygonFromText(text ) IS 'args: WKT - Well-Known Text (WKT)表現と与えられたSRIDからジオメトリを生成します。SRIDを与えない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_PolygonFromText(text , integer ) IS 'args: WKT, srid - Well-Known Text (WKT)表現と与えられたSRIDからジオメトリを生成します。SRIDを与えない場合は0 (不明)となります。';
			
COMMENT ON FUNCTION ST_WKBToSQL(bytea ) IS 'args: WKB - Well-Known Binary表現 (WKB)からST_Geometry値を生成します。これはSRIDを取らないST_GeomFromWKBの別名です。';
			
COMMENT ON FUNCTION ST_WKTToSQL(text ) IS 'args: WKT - Well-Knwon Text表現 (WKT)から指定したST_Geometry値を返します。これはST_GeomFromTextの別名です。';
			
COMMENT ON FUNCTION GeometryType(geometry ) IS 'args: geomA - ジオメトリ型をLINESTRING, POLYGON, MULTIPOINTなどの文字列で返します。';
			
COMMENT ON FUNCTION ST_Boundary(geometry ) IS 'args: geomA - ジオメトリの組み合わせ境界の閉包を返します。';
			
COMMENT ON FUNCTION ST_CoordDim(geometry ) IS 'args: geomA - ST_Geometry値の座標次元を返します。';
			
COMMENT ON FUNCTION ST_Dimension(geometry ) IS 'args: g - ジオメトリの固有次元を返します。ジオメトリは座標次元以下でなければなりません。';
			
COMMENT ON FUNCTION ST_EndPoint(geometry ) IS 'args: g - LINESTRINGの最後のポイントをPOINTで返します。';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - ジオメトリの浮動小数点数 (float8)バウンディングボックスを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometry , boolean ) IS 'args: geom, fits=false - 与えられたジオメトリのバウンディングボックスの対角線を返します。';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - POLYGONの外環を表現するラインストリングを返します。ジオメトリがポリゴンでない場合はNULLを返します。マルチポリゴンでは動作しません。';
			
COMMENT ON FUNCTION ST_GeometryN(geometry , integer ) IS 'args: geomA, n - GEOMETRYCOLLECTION, (MULTI)POINT, (MULTI)LINESTRING, MULTICURVE, (MULTI)POLYGON, POLYHEDRALSURFACEの場合には、1始まりでN番目のジオメトリを返します。それ以外の場合にはNULLを返します。';
			
COMMENT ON FUNCTION ST_GeometryType(geometry ) IS 'args: g1 - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometry , integer ) IS 'args: a_polygon, n - ポリゴンのN番目の内環を返します。ジオメトリがポリゴンでないかNが範囲外の場合はNULLを返します。';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - 全ての外環が反時計回りで、全ての内環が時計回りならTRUEを返します。';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - 入力ジオメトリの全てのポリゴン要素の外環については時計回りで、全ての内環については反時計回りである場合には、TRUEを返します。';
			
COMMENT ON FUNCTION ST_IsClosed(geometry ) IS 'args: g - LINESTRINGの始点と終点が一致する場合にTRUEを返します。多面体サーフェスの場合は閉じているかどうか (ボリュームであるかどうか)を返します。';
			
COMMENT ON FUNCTION ST_IsCollection(geometry ) IS 'args: g - 引数がコレクション(MULTI*, GEOMETRYCOLLECTION, ...)の場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - ジオメトリが、空のジオメトリコレクション、ポリゴン、ポイント等の場合に、trueを返します。';
			
COMMENT ON FUNCTION ST_IsRing(geometry ) IS 'args: g - LINESTRINGが閉じていて、かつ単純である場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_IsSimple(geometry ) IS 'args: geomA - ジオメトリが自己インタセクションや自己接触のような異常な幾何学ポイントを持っていない場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_IsValid(geometry ) IS 'args: g - ST_Geometryが整形されている場合には、trueを返します。';
			
COMMENT ON FUNCTION ST_IsValid(geometry , integer ) IS 'args: g, flags - ST_Geometryが整形されている場合には、trueを返します。';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry ) IS 'args: geomA - ジオメトリが妥当か否かを示す文字列を返し、不正な場合は理由を返します。';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry , integer ) IS 'args: geomA, flags - ジオメトリが妥当か否かを示す文字列を返し、不正な場合は理由を返します。';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry ) IS 'args: geom - ジオメトリが妥当か否かを示すvalid_detail (valid,reason,location)行を返します。不正である場合には、理由と位置を示します。';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry , integer ) IS 'args: geom, flags - ジオメトリが妥当か否かを示すvalid_detail (valid,reason,location)行を返します。不正である場合には、理由と位置を示します。';
			
COMMENT ON FUNCTION ST_M(geometry ) IS 'args: a_point - ポイントのM座標値を返し、有効でないならNULLを返します。入力はポイントでなければなりません。';
			
COMMENT ON FUNCTION ST_NDims(geometry ) IS 'args: g1 - ジオメトリの座標次元をsmall intで返します。値は2, 3, 4のいずれかです。';
			
COMMENT ON FUNCTION ST_NPoints(geometry ) IS 'args: g1 - ジオメトリのポイント (頂点)数を返します。';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - ジオメトリがポリゴンまたはマルチポリゴンの場合、リング数を返します。';
			
COMMENT ON FUNCTION ST_NumGeometries(geometry ) IS 'args: geom - ジオメトリがジオメトリコレクションまたはマルチ系の場合はジオメトリの数を、単一のジオメトリの場合は1を返し、それ以外の場合はNULLを返します。';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometry ) IS 'args: a_polygon - ポリゴンジオメトリの内環の数を返します。';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometry ) IS 'args: a_polygon - ジオメトリ内のポリゴンの内環の数を返します。ST_NumInteriorRingsと同義です。';
			
COMMENT ON FUNCTION ST_NumPatches(geometry ) IS 'args: g1 - 多面体サーフェスのフェイス数を返します。多面体でないジオメトリの場合にはNULLを返します。';
			
COMMENT ON FUNCTION ST_NumPoints(geometry ) IS 'args: g1 - ST_LineStringまたはST_CircularStringのポイント数を返します。';
			
COMMENT ON FUNCTION ST_PatchN(geometry , integer ) IS 'args: geomA, n - ジオメトリがPOLYHEDRALSURFACEかPOLYHEDRALSURFACEMの場合には、1始まりでN番目のジオメトリ (フェイス)を返します。それ以外の場合には、NULLを返します。';
			
COMMENT ON FUNCTION ST_PointN(geometry , integer ) IS 'args: a_linestring, n - ラインストリングまたは曲線ストリングのN番目の点を返します。負数はラインストリングの終端から逆方向に遡って数えます。ジオメトリにラインストリングが無い場合には、NULLを返します。';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - ジオメトリの全ての座標値からなるマルチポイントを返します。';
			
COMMENT ON FUNCTION ST_SRID(geometry ) IS 'args: g1 - ST_Geometryのspatial_ref_sysテーブルで定義されている空間参照系の識別番号を返します。';
			
COMMENT ON FUNCTION ST_StartPoint(geometry ) IS 'args: geomA - LINESTRINGの最初のポイントをPOINTとして返します。';
			
COMMENT ON FUNCTION ST_Summary(geometry ) IS 'args: g - ジオメトリについての要約文を返します。';
			
COMMENT ON FUNCTION ST_Summary(geography ) IS 'args: g - ジオメトリについての要約文を返します。';
			
COMMENT ON FUNCTION ST_X(geometry ) IS 'args: a_point - ポイントのX座標値を返し、有効でないならNULLを返します。入力はポイントでなければなりません。';
			
COMMENT ON FUNCTION ST_XMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるXの最大値を返します。';
			
COMMENT ON FUNCTION ST_XMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるXの最小値を返します。';
			
COMMENT ON FUNCTION ST_Y(geometry ) IS 'args: a_point - ポイントのY座標値を返し、有効でないならNULLを返します。入力はポイントでなければなりません。';
			
COMMENT ON FUNCTION ST_YMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるYの最大値を返します。';
			
COMMENT ON FUNCTION ST_YMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるYの最小値を返します。';
			
COMMENT ON FUNCTION ST_Z(geometry ) IS 'args: a_point - ポイントのZ座標値を返し、有効でないならNULLを返します。入力はポイントでなければなりません。';
			
COMMENT ON FUNCTION ST_ZMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるZの最大値を返します。';
			
COMMENT ON FUNCTION ST_Zmflag(geometry ) IS 'args: geomA - ポイントのZM (次元の意味)フラグをsmall intで返します。値は 0=XY, 1=XYM, 2=XYZ, 3=XYZMとなります。';
			
COMMENT ON FUNCTION ST_ZMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2次元、3次元バウンディングボックスまたはジオメトリにおけるZの最大値を返します。';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - ラインストリングにポイントを追加します。';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - ラインストリングにポイントを追加します。';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float , float , float , float , float , float , float ) IS 'args: geomA, a, b, c, d, e, f, g, h, i, xoff, yoff, zoff - 3次元アフィン変換をジオメトリに適用します。';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float ) IS 'args: geomA, a, b, d, e, xoff, yoff - 3次元アフィン変換をジオメトリに適用します。';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - ジオメトリを2次元モードに強制します。';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - ジオメトリをXYZモードに強制します。これはST_Force3DZの別名です。';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - ジオメトリをXYZモードに強制します。';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - ジオメトリをXYMモードに強制します。';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - ジオメトリをXYZMモードに強制します。';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - 全ての外環を反時計回りに、全ての内環を時計回りに、それぞれ強制します。';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - ジオメトリをジオメトリコレクションに変換します。';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - 全ての外環を時計回りに、全ての内環を反時計回りに、それぞれ強制します。';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - SFS 1.1ジオメトリタイプのみ使うようジオメトリに強制します。';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - SFS 1.1ジオメトリタイプのみ使うようジオメトリに強制します。';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - ポリゴンの頂点の方向を右回りに強制します。';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - 該当する場合は、ジオメトリを曲線タイプに変換します。';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - MULTILINESTRINGをまとめ合わせて形成されるラインストリング (またはその集合)を返します。';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - (マルチ)ジオメトリを与えると、指定したタイプの要素でのみ構成される (マルチ)ジオメトリを返します。';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - ジオメトリコレクションを与えると、「最も単純な」表現を返します。';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - マルチ系ジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - 標準的な形式に変えたジオメトリを返します。';
			
COMMENT ON FUNCTION ST_QuantizeCoordinates(geometry, int, int, int, int) IS 'args: g, prec_x, prec_y, prec_z, prec_m - Sets least significant bits of coordinates to zero';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - ラインストリングからポイントを削除します。';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - 頂点の順序を逆にしたジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float) IS 'args: geomA, rotRadians - ジオメトリを、原点について反時計回りにrotRadiasnぶん回転させます。';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, float, float) IS 'args: geomA, rotRadians, x0, y0 - ジオメトリを、原点について反時計回りにrotRadiasnぶん回転させます。';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, geometry) IS 'args: geomA, rotRadians, pointOrigin - ジオメトリを、原点について反時計回りにrotRadiasnぶん回転させます。';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - ジオメトリをX軸についてrotRadiansぶん回転させます。';
			
COMMENT ON FUNCTION ST_RotateY(geometry, float) IS 'args: geomA, rotRadians - ジオメトリgeomAをY軸についてrotRadiansぶん回転させます。';
			
COMMENT ON FUNCTION ST_RotateZ(geometry, float) IS 'args: geomA, rotRadians - ジオメトリをZ軸についてrotRadiansぶん回転させます。';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float, float) IS 'args: geomA, XFactor, YFactor, ZFactor - 与えた係数でジオメトリを拡大縮小します。';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float) IS 'args: geomA, XFactor, YFactor - 与えた係数でジオメトリを拡大縮小します。';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry) IS 'args: geom, factor - 与えた係数でジオメトリを拡大縮小します。';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry, geometry) IS 'args: geom, factor, origin - 与えた係数でジオメトリを拡大縮小します。';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - 与えた距離を超える線分を持たないよう変更したジオメトリ/ジオグラフィを返します。';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - 与えた距離を超える線分を持たないよう変更したジオメトリ/ジオグラフィを返します。';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - ラインストリングのポイントを与えられたポイントに置き換えます。';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - ジオメトリのSRIDを特定の整数値に設定します。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - 入力ジオメトリの辺と頂点を参照ジオメトリの頂点にスナップします。';
			
COMMENT ON FUNCTION ST_Transform(geometry , integer ) IS 'args: g1, srid - 異なる空間参照系に投影変換された新しいジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Transform(geometry , text ) IS 'args: geom, to_proj - 異なる空間参照系に投影変換された新しいジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , text ) IS 'args: geom, from_proj, to_proj - 異なる空間参照系に投影変換された新しいジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , integer ) IS 'args: geom, from_proj, to_srid - 異なる空間参照系に投影変換された新しいジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float ) IS 'args: g1, deltax, deltay - 与えられたオフセットでジオメトリを変換します。';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float , float ) IS 'args: g1, deltax, deltay, deltaz - 与えられたオフセットでジオメトリを変換します。';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - 与えられた係数とオフセットでジオメトリを変換します。';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsEncodedPolyline(geometry, integer ) IS 'args: geom, precision=5 - ラインストリングジオメトリから符号化したポリラインを返します。';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry ) IS 'args: g1 - ジオメトリのSRIDメタデータが付いたWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry , text ) IS 'args: g1, NDR_or_XDR - ジオメトリのSRIDメタデータが付いたWell-Known Binary (WKB)表現を返します。';
			
COMMENT ON FUNCTION ST_AsEWKT(geometry ) IS 'args: g1 - ジオメトリのSRIDメタデータが付いたWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsEWKT(geography ) IS 'args: g1 - ジオメトリのSRIDメタデータが付いたWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - GeoJSON要素としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - GeoJSON要素としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geometry , integer , integer ) IS 'args: gj_version, geom, maxdecimaldigits=15, options=0 - GeoJSON要素としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geography , integer , integer ) IS 'args: gj_version, geog, maxdecimaldigits=15, options=0 - GeoJSON要素としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGML(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - GML第2版または第3版としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGML(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - GML第2版または第3版としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGML(integer , geometry , integer , integer , text , text ) IS 'args: version, geom, maxdecimaldigits=15, options=0, nprefix=null, id=null - GML第2版または第3版としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsGML(integer , geography , integer , integer , text , text ) IS 'args: version, geog, maxdecimaldigits=15, options=0, nprefix=null, id=null - GML第2版または第3版としてジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry , text ) IS 'args: g1, NDRorXDR - ジオメトリのHEXEWKB表現を (文字列として)返します。リトルエンディアン (NDR)またはビッグエンディアン (XDR)のどちらかのエンコーディングを使います。';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry ) IS 'args: g1 - ジオメトリのHEXEWKB表現を (文字列として)返します。リトルエンディアン (NDR)またはビッグエンディアン (XDR)のどちらかのエンコーディングを使います。';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - ジオメトリをKML要素で返します。いくつかの形式があります。デフォルトはversion=2, precision=15です。';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - ジオメトリをKML要素で返します。いくつかの形式があります。デフォルトはversion=2, precision=15です。';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - ジオメトリをKML要素で返します。いくつかの形式があります。デフォルトはversion=2, precision=15です。';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - ジオメトリをKML要素で返します。いくつかの形式があります。デフォルトはversion=2, precision=15です。';
			
COMMENT ON FUNCTION ST_AsLatLonText(geometry , text ) IS 'args: pt, format='' - 与えられたポイントの度・分・秒表現を返します。';
			
COMMENT ON FUNCTION ST_AsSVG(geometry , integer , integer ) IS 'args: geom, rel=0, maxdecimaldigits=15 - ジオメトリまたはジオグラフィで与えられたSVGパスデータによるジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsSVG(geography , integer , integer ) IS 'args: geog, rel=0, maxdecimaldigits=15 - ジオメトリまたはジオグラフィで与えられたSVGパスデータによるジオメトリを返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - ジオメトリ/ジオグラフィのSRIDメタデータのないWell-Known Text (WKT)表現を返します。';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry , integer , integer , integer , boolean , boolean ) IS 'args: g1, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding boxes=false - TWKB (Tiny Well-Known Binary)としてジオメトリを出力します。';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry[] , bigint[] , integer , integer , integer , boolean , boolean ) IS 'args: geometries, unique_ids, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding_boxes=false - TWKB (Tiny Well-Known Binary)としてジオメトリを出力します。';
			
COMMENT ON FUNCTION ST_AsX3D(geometry , integer , integer ) IS 'args: g1, maxdecimaldigits=15, options=0 - ジオメトリをX3Dノード要素書式　(ISO-IEC-19776-1.2-X3DEncodings-XML)で返します。';
			
COMMENT ON FUNCTION ST_GeoHash(geometry , integer ) IS 'args: geom, maxchars=full_precision_of_point - ジオメトリのGeoHash表現を返します。';
			
COMMENT ON AGGREGATE ST_AsGeobuf(anyelement) IS 'args: row - 行集合のGeobuf表現を返します。';
			
COMMENT ON FUNCTION ST_AsGeobuf(anyelement , text ) IS 'args: row, geom_name - 行集合のGeobuf表現を返します。';
			
COMMENT ON FUNCTION ST_AsMVTGeom(geometry , box2d , int4 , int4 , bool ) IS 'args: geom, bounds, extent=4096, buffer=256, clip_geom=true - ジオメトリをMapbox Vector Tileの座標空間に変換します。';
			
COMMENT ON AGGREGATE ST_AsMVT(anyelement) IS 'args: row - 行集合のMapbox Vector Tile表現を返します。';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text ) IS 'args: row, name - 行集合のMapbox Vector Tile表現を返します。';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text , int4 ) IS 'args: row, name, extent - 行集合のMapbox Vector Tile表現を返します。';
			
COMMENT ON FUNCTION ST_AsMVT(anyelement , text , int4 , text ) IS 'args: row, name, extent, geom_name - 行集合のMapbox Vector Tile表現を返します。';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g1上の、g2に最も近い3次元ポイントを返します。3次元最短線の一つ目のポイントです。';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - ジオメトリ型について、二つのジオメトリの、3次元の最小デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_3DDWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - 3次元 (XYZ)ジオメトリ型について、二つのジオメトリの3次元距離が指定した数の内にある場合にtrueを返します。';
			
COMMENT ON FUNCTION ST_3DDFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - 3次元ジオメトリが他のジオメトリとの距離が指定した範囲内ならtrueを返します。';
			
COMMENT ON FUNCTION ST_3DIntersects(geometry, geometry) IS 'args: geomA, geomB - ジオメトリが3次元で「空間的にインタセクトする」場合にTRUEを返します。ポイント、ラインストリング、ポリゴン、多面体サーフェス (面)のみ対応します。SFCGALバックエンドによってTINも対応します。';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最長となるラインを返します。';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - ジオメトリ型について、二つのジオメトリの、3次元の最大デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - ポリゴンまたはマルチポリゴンの場合にはサーフェスの面積を返します。ジオメトリ型の面積はSRIDに基づく単位です。ジオグラフィ型の面積は曲面上で計算され、単位は平方メートルです。';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - ポリゴンまたはマルチポリゴンの場合にはサーフェスの面積を返します。ジオメトリ型の面積はSRIDに基づく単位です。ジオグラフィ型の面積は曲面上で計算され、単位は平方メートルです。';
			
COMMENT ON FUNCTION ST_Azimuth(geometry , geometry ) IS 'args: pointA, pointB - pointAの鉛直線からPointBへの右回りの方位を北を基準にしたラジアン単位で返します。';
			
COMMENT ON FUNCTION ST_Azimuth(geography , geography ) IS 'args: pointA, pointB - pointAの鉛直線からPointBへの右回りの方位を北を基準にしたラジアン単位で返します。';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - 三つのポイントまたは二つのベクタ (4ポイントまたは2ライン)の間の角度を返します。';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - 三つのポイントまたは二つのベクタ (4ポイントまたは2ライン)の間の角度を返します。';
			
COMMENT ON FUNCTION ST_Centroid(geometry ) IS 'args: g1 - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Centroid(geography , boolean ) IS 'args: g1, use_spheroid=true - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g2に最も接近するg1上の2次元のポイントを返します。これは最短線の最初のポイントです。';
			
COMMENT ON FUNCTION ST_ClusterDBSCAN(geometry, float8 , integer ) IS 'args: geom, eps, minpoints - DBSCAN (ノイズ適用可能な密度に基づいた空間クラスタリング)アルゴリズムの2次元実装に基づいて、それぞれの入力ジオメトリが入るクラスタの整数識別子を返すウィンドウ関数です。';
			
COMMENT ON AGGREGATE ST_ClusterIntersecting(geometry) IS 'args: g - 集約関数です。ジオメトリの集合の接続された要素の配列を返します。';
			
COMMENT ON FUNCTION ST_ClusterKMeans(geometry, integer ) IS 'args: geom, number_of_clusters - 個々のジオメトリが入るクラスタの整数識別子を返すウィンドウ関数です。';
			
COMMENT ON AGGREGATE ST_ClusterWithin(geometry, float8 ) IS 'args: g, distance - 集計関数です。ジオメトリコレクションの配列を返します。要素は、指定した距離以内となるよう分けられたジオメトリの集合です。';
			
COMMENT ON FUNCTION ST_Contains(geometry , geometry ) IS 'args: geomA, geomB - Bの点がAの外部に無く、かつBの内部の少なくとも一つの点がAの内部にある場合に限って、TRUEを返します。';
			
COMMENT ON FUNCTION ST_ContainsProperly(geometry , geometry ) IS 'args: geomA, geomB - BがAの内部にインタセクトするが境界 (または外部)にインタセクトしない場合に、TRUEを返します。Aは自身には、ContainsProperlyではありませんが、Containsです。';
			
COMMENT ON FUNCTION ST_Covers(geometry , geometry ) IS 'args: geomA, geomB - ジオメトリBにジオメトリAの外となるポイントが無い場合には、1 (TRUE)を返します。';
			
COMMENT ON FUNCTION ST_Covers(geography , geography ) IS 'args: geogpolyA, geogpointB - ジオメトリBにジオメトリAの外となるポイントが無い場合には、1 (TRUE)を返します。';
			
COMMENT ON FUNCTION ST_CoveredBy(geometry , geometry ) IS 'args: geomA, geomB - ジオメトリ/ジオグラフィAの点がジオメトリ/ジオグラフィBの外に無い場合に、1 (TRUE)を返します。';
			
COMMENT ON FUNCTION ST_CoveredBy(geography , geography ) IS 'args: geogA, geogB - ジオメトリ/ジオグラフィAの点がジオメトリ/ジオグラフィBの外に無い場合に、1 (TRUE)を返します。';
			
COMMENT ON FUNCTION ST_Crosses(geometry , geometry ) IS 'args: g1, g2 - 与えられたジオメトリが共通の内部の点を持ち、かつそうでない点を持つ場合に、TRUEを返します。';
			
COMMENT ON FUNCTION ST_LineCrossingDirection(geometry , geometry ) IS 'args: linestringA, linestringB - 与えられた二つのラインストリングに関するクロスの種類を-3から3の区間の数で返します。0の場合はクロスしていません';
			
COMMENT ON FUNCTION ST_Disjoint(geometry, geometry) IS 'args: A, B - ジオメトリが「空間的にインタセクトし」ていない、すなわち、空間を共有していない場合に、TRUEを返します。';
			
COMMENT ON FUNCTION ST_Distance(geometry , geometry ) IS 'args: g1, g2 - ジオメトリ型については、二つのジオメトリの、2次元の最小デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。ジオグラフィ型については、デフォルトでは、二つのジオメトリ間の測地距離をメートル単位で返します。';
			
COMMENT ON FUNCTION ST_Distance(geography , geography ) IS 'args: gg1, gg2 - ジオメトリ型については、二つのジオメトリの、2次元の最小デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。ジオグラフィ型については、デフォルトでは、二つのジオメトリ間の測地距離をメートル単位で返します。';
			
COMMENT ON FUNCTION ST_Distance(geography , geography , boolean ) IS 'args: gg1, gg2, use_spheroid - ジオメトリ型については、二つのジオメトリの、2次元の最小デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。ジオグラフィ型については、デフォルトでは、二つのジオメトリ間の測地距離をメートル単位で返します。';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - ジオメトリのクリアランスの最小値を返します。この値はジオメトリのロバスト性を示すものです。';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - ジオメトリの最小クリアランスを示す、2点のラインストリングを返します。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリ間のハウスドルフ距離を返します。基本的にジオメトリが似ているかどうかを計測するものです。単位はジオメトリの空間参照系の単位です。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - 二つのジオメトリ間のハウスドルフ距離を返します。基本的にジオメトリが似ているかどうかを計測するものです。単位はジオメトリの空間参照系の単位です。';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - 二つのジオメトリのフレシェ距離を返します。曲線の位置と点の並び順とを考慮に入れた曲線間の類似度を計測するものです。単位はジオメトリの空間参照系の単位です。';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリ間の2次元距離の最大値を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - 二つの経度緯度ジオメトリの間の最短距離をメートル単位で返します。SRIDで定義された回転楕円体に由来する半径となる球面を使います。より高速ですが、精度が悪くなります。PostGISの1.5より前の版ではポイント間の計測のみ実装していました。';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - 指定した回転楕円体による、二つの経度緯度ジオメトリ間の最小距離を返します。PostGIS 1.5より前ではポイント間の計測のみ対応していました。';
			
COMMENT ON FUNCTION ST_DFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - 全てのジオメトリが指定したジオメトリから指定した距離内にある場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_DWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - ジオメトリが指定したジオメトリから指定した距離内にある場合にTRUEを返します。ジオメトリについては、距離は空間参照系で定義されている単位になります。ジオグラフィについては、メートル単位で、デフォルトではuse_spheroid=true　(回転楕円体を使った計算)となり、速いチェックをするにはuse_spheroid=falseとして球面を使って計算します。';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision ) IS 'args: gg1, gg2, distance_meters - ジオメトリが指定したジオメトリから指定した距離内にある場合にTRUEを返します。ジオメトリについては、距離は空間参照系で定義されている単位になります。ジオグラフィについては、メートル単位で、デフォルトではuse_spheroid=true　(回転楕円体を使った計算)となり、速いチェックをするにはuse_spheroid=falseとして球面を使って計算します。';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision , boolean ) IS 'args: gg1, gg2, distance_meters, use_spheroid - ジオメトリが指定したジオメトリから指定した距離内にある場合にTRUEを返します。ジオメトリについては、距離は空間参照系で定義されている単位になります。ジオグラフィについては、メートル単位で、デフォルトではuse_spheroid=true　(回転楕円体を使った計算)となり、速いチェックをするにはuse_spheroid=falseとして球面を使って計算します。';
			
COMMENT ON FUNCTION ST_Equals(geometry , geometry ) IS 'args: A, B - 与えられたジオメトリ表現が同じ場合にTRUEを返します。方向は無視されます。';
			
COMMENT ON FUNCTION  ST_GeometricMedian ( geometry ,  float8 ,  int ,  boolean ) IS 'args:  g ,  tolerance ,  max_iter ,  fail_if_not_converged  - マルチポイントの幾何学的中央値を返します。';
			
COMMENT ON FUNCTION ST_HasArc(geometry ) IS 'args: geomA - ジオメトリまたはジオメトリコレクションが曲線ストリングを含む場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_Intersects(geometry, geometry) IS 'args: geomA, geomB - ジオメトリ/ジオグラフィが「2次元空間で空間的にインタセクトする」 (空間に共有部分がある)場合にTRUEを返します。そうでない (非接続)場合はFALSEを返します。ジオグラフィについては、許容量は0.00001メートルです (近い点はインタセクトと考えられてしまいます)。';
			
COMMENT ON FUNCTION ST_Intersects(geography, geography) IS 'args: geogA, geogB - ジオメトリ/ジオグラフィが「2次元空間で空間的にインタセクトする」 (空間に共有部分がある)場合にTRUEを返します。そうでない (非接続)場合はFALSEを返します。ジオグラフィについては、許容量は0.00001メートルです (近い点はインタセクトと考えられてしまいます)。';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - ジオメトリがLINESTRINGまたはMULTILINESTRINGの場合には、それらの2次元長を返します。ジオメトリでは、単位は空間参照系の単位です。ジオグラフィでは、メートル単位です (回転楕円体がデフォルトです)。';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - ジオメトリがLINESTRINGまたはMULTILINESTRINGの場合には、それらの2次元長を返します。ジオメトリでは、単位は空間参照系の単位です。ジオグラフィでは、メートル単位です (回転楕円体がデフォルトです)。';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - LINESTRINGまたはMULTILINESTRINGに対して、ジオメトリの2次元長を返します。これはST_Lengthの別名です。';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - LINESTRINGまたはMULTILINESTRINGに対して、ジオメトリの3次元長または2次元長を返します。';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - 回転楕円体上のジオメトリの2次元長/周囲長または3次元長/周囲長を計算します。これは、ジオメトリの座標が経度/緯度になっていて、投影変換を行わずに距離を求めたい場合に使います。';
			
COMMENT ON FUNCTION ST_Length2D_Spheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - 回転楕円体上のジオメトリの2次元長/周囲長を計算します。これは、ジオメトリの座標が経度/緯度になっていて、投影変換を行わずに距離を求めたい場合に使います。';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの2次元長が最長となるラインを返します。見つかったラインが複数ある場合は、最初のもののみ返します。返されるラインは常にg1側を始点、g2側を終点とします。この関数が返すラインの長さは、常に始点をg1に終点をg2にそれぞれ指定した場合のST_MaxDistanceが返す値と同じになります。';
			
COMMENT ON FUNCTION ST_OrderingEquals(geometry , geometry ) IS 'args: A, B - 与えられたジオメトリが同じジオメトリを示し、ポイントの順序が同じである場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_Overlaps(geometry , geometry ) IS 'args: A, B - ジオメトリが共有空間を持ち、同じ次元で、かつ完全には一方に含まれていない場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - ST_SrrfaceまたはST_MultiSurface (POLYGONまたはMULTIPOLYGON)の境界の長さの計測値を返します。ジオメトリでは単位は空間参照系によります。ジオグラフィではメートル単位になります。';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - ST_SrrfaceまたはST_MultiSurface (POLYGONまたはMULTIPOLYGON)の境界の長さの計測値を返します。ジオメトリでは単位は空間参照系によります。ジオグラフィではメートル単位になります。';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - POLYGONまたはMULTIPOLYGONジオメトリの場合に、2次元周囲長を返します。これは、現在はST_Perimeterの別名です。';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - POLYGONまたはMULTIPOLYGONジオメトリの場合には、3次元周囲長を返します。';
			
COMMENT ON FUNCTION ST_PointOnSurface(geometry ) IS 'args: g1 - サーフェス上にあることを保障されたPOINTを返します。';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - メートル単位の距離とラジアン単位の方位とを使って始点から算出されたPOINTを返します。';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , text ) IS 'args: geomA, geomB, intersectionMatrixPattern - intersectionMatrixPatternの値について、二つのジオメトリの内部、境界、外部のインタセクションを見て、指定したジオメトリがもうひとつのジオメトリと空間的に関係している場合に、TRUEを返します。intersectionMatrixPatternが無い場合には、二つのジオメトリについての最大のintersectionMatrixPatternを返します。';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry ) IS 'args: geomA, geomB - intersectionMatrixPatternの値について、二つのジオメトリの内部、境界、外部のインタセクションを見て、指定したジオメトリがもうひとつのジオメトリと空間的に関係している場合に、TRUEを返します。intersectionMatrixPatternが無い場合には、二つのジオメトリについての最大のintersectionMatrixPatternを返します。';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , integer ) IS 'args: geomA, geomB, BoundaryNodeRule - intersectionMatrixPatternの値について、二つのジオメトリの内部、境界、外部のインタセクションを見て、指定したジオメトリがもうひとつのジオメトリと空間的に関係している場合に、TRUEを返します。intersectionMatrixPatternが無い場合には、二つのジオメトリについての最大のintersectionMatrixPatternを返します。';
			
COMMENT ON FUNCTION ST_RelateMatch(text , text ) IS 'args: intersectionMatrix, intersectionMatrixPattern - intersectionMattrixPattern1がintersectionMatrixPattern2を含む場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの2次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_Touches(geometry , geometry ) IS 'args: g1, g2 - ジオメトリが共通のポイントを少なくとも一つ持ち、かつ内部でインタセクトしない場合に、TRUEを返します。';
			
COMMENT ON FUNCTION ST_Within(geometry , geometry ) IS 'args: A, B - ジオメトリAが完全にジオメトリBの内側にある場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - 与えられたジオメトリの構成ラインから面ジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - 長方形内に落ちるジオメトリの一部を返します。';
			
COMMENT ON AGGREGATE ST_Collect(geometry) IS 'args: g1field - 他のジオメトリのコレクションから、指定したST_Geometry値を返します。';
			
COMMENT ON FUNCTION ST_Collect(geometry, geometry) IS 'args: g1, g2 - 他のジオメトリのコレクションから、指定したST_Geometry値を返します。';
			
COMMENT ON FUNCTION ST_Collect(geometry[]) IS 'args: g1_array - 他のジオメトリのコレクションから、指定したST_Geometry値を返します。';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - 凹包は、集合の範囲内におけるすべてのジオメトリーを囲む、できる限り凹となるジオメトリを表現するものです。収縮包装とみることができます。';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - 凸包は与えられた集合の全てのジオメトリを含む最小の閉じた凸ジオメトリです。';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Converts a CIRCULARSTRING/CURVEPOLYGON/MULTISURFACE to a LINESTRING/POLYGON/MULTIPOLYGON';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - 与えられたポイントの周りのドロネー三角形を返します。';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - ジオメトリBにインタセクトしないジオメトリAの部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Dump(geometry ) IS 'args: g1 - ジオメトリg1から作られたgeometry_dump(geom, path)行の集合を返します。';
			
COMMENT ON FUNCTION ST_DumpPoints(geometry ) IS 'args: geom - ジオメトリを作る全ての点のgometry_dump(geom,path)行の集合を返します。';
			
COMMENT ON FUNCTION ST_DumpRings(geometry ) IS 'args: a_polygon - ポリゴンの外環と内環を表すgeometry_dump行の集合を返します。';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - 与えられたジオメトリのX軸とY軸とを入れ替えたものを返します。緯度/経度のフィーチャーを構築して、これを訂正したい場合に使えます。';
			
COMMENT ON FUNCTION ST_GeneratePoints(geometry, numeric) IS 'args: g, npoints - ポリゴンまたはマルチポリゴンから、元の領域の内部の、乱数で決められた位置に置かれた点からなるマルチポイントに変換します。';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - (T) geomAとgeomBの共有する部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - (T) geomAとgeomBの共有する部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - LINESTRING/POLYGONをCIRCULARSTRINGかCURVEPOLYGONに変換します。';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - 頂点を失うことなしに不正なジオメトリを妥当なジオメトリにしようと試みます。';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - ST_Unionと同じですが、メモリフレンドリ (少ないメモリ使用、多いCPU時間)です。';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - ジオメトリを完全に含む最小の円ポリゴンを返します。デフォルトでは、4分の1円に対して48区分を使用します。';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - ジオメトリを完全に包含する最小円の中心ポイントと半径を返します。';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - 集約関数。ジオメトリの集合のラインから形成されうるポリゴンを含むジオメトリコレクションを生成します。';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - 集約関数。ジオメトリの集合のラインから形成されうるポリゴンを含むジオメトリコレクションを生成します。';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - ラインストリングの集合にノードを作成します。';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - 与えられた距離と方面に入力ラインをずらしたラインを返します。中心線と平行する線を引く際に使えます。';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - 入力ジオメトリから重複ポイントを除いたものを返します。';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - 二つのLINESTRING/MULTILINESTRINGの入力が共有するパスのコレクションを返します。';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - ジオメトリの座標値を-180度から180度の範囲と0度から360度の範囲に揃えます。';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - ジオメトリをX値で回り込ませます。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - 与えられたジオメトリを「簡略化」したものを返します。Douglas-Peukerアルゴリズムを使用します。';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - 与えられたジオメトリを「簡略化」したものを返します。Douglas-Peukerアルゴリズムを使用します。不正な派生ジオメトリ (特にポリゴン)の生成を回避します。';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - Visvalingam-Whyattアルゴリズムを用いて、入力ジオメトリを「簡略化」したジオメトリを返します。';
			
COMMENT ON FUNCTION ST_ChaikinSmoothing(geometry, integer, boolean) IS 'args: geom, nIterations = 1, preserveEndPoints = false - Visvalingam-Whyattアルゴリズムを用いて、入力ジオメトリを「簡略化」したジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Filters vertex points based on their m-value';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - 個々の頂点について有効範囲を設定し、M値として保存します。M値でフィルタリングすると、単純化したジオメトリを生成できます。';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - AとBの、インタセクトしていない部分を表現するジオメトリを返します。対称と呼ばれるのは、ST_SymDifference(A,B) = ST_SymDifference(B,A) となるからです。';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - 指定した数より多い頂点を持たないジオメトリの集合を返します。';
			
COMMENT ON FUNCTION ST_SwapOrdinates(geometry, cstring) IS 'args: geom, ords - 与えられたジオメトリにおいて与えられた座標の値を入れ替えたジオメトリを返します。';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - ST_Unionに似ていますが、ジオメトリ要素レベルで動作します。';
			
COMMENT ON FUNCTION ST_VoronoiLines(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - ジオメトリの頂点からボロノイ図のセル間の境界を返します。';
			
COMMENT ON FUNCTION ST_VoronoiPolygons(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - ジオメトリの頂点からボロノイ図のセルを返します。';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - 線に沿った内挿点を返します。第2引数はfloat8で0から1の区間で、そのポイントが位置するラインストリングの総延長についての割合です。';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - 線に沿った内挿点を一つ以上返します。';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometry , geometry ) IS 'args: a_linestring, a_point - ラインストリング上の、与えたポイントへの最短点を、2次元長に対する割合として0から1の区間で返します。';
			
COMMENT ON FUNCTION ST_LineSubstring(geometry , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - 次元長に対する割合で示された開始位置と終了位置で切り取られた部分ラインストリングを返します。第2引数と第3引数は、float8で0から1の区間です。';
			
COMMENT ON FUNCTION ST_LocateAlong(geometry , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - 指定したM値に一致する要素からなる、派生ジオメトリコレクション値を返します。ポリゴン要素には対応していません。';
			
COMMENT ON FUNCTION ST_LocateBetween(geometry , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - 指定したM値の範囲内にある要素からなる、派生ジオメトリコレクション値を返します。ポリゴン要素には対応していません。';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometry , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - 指定したZ値の範囲内にある要素からなる、派生ジオメトリ (コレクション)値を返します。3次元、4次元のLINESTRINGSとMULTILINESTRINGSのみに対応しています。';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometry , geometry ) IS 'args: line, point - ジオメトリの、指定したポイントに近いポイントにおけるM値を返します。';
			
COMMENT ON FUNCTION ST_AddMeasure(geometry , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - 始点と終点の間を線型補完した、M値を持つ派生ジオメトリを返します。';
			
COMMENT ON FUNCTION ST_IsValidTrajectory(geometry ) IS 'args: line - ジオメトリが妥当なトラジェクトリの場合にはtrueを返します。';
			
COMMENT ON FUNCTION ST_ClosestPointOfApproach(geometry , geometry ) IS 'args: track1, track2 - 二つのラインの最も近くなる内挿補間点のM値を返します。';
			
COMMENT ON FUNCTION ST_DistanceCPA(geometry , geometry ) IS 'args: track1, track2 - 二つのトラジェクトリの最接近時の距離を返します。';
			
COMMENT ON FUNCTION ST_CPAWithin(geometry , geometry , float8 ) IS 'args: track1, track2, maxdist - トラジェクトリの最接近点が空間的な距離内にある場合にはTRUEを返します。';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - 現在のトランザクションで使われる認証トークンを追加します。';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - 認証トークンに基づいて行の更新と削除を拒否/許可するテーブルのトリガを生成します。';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - 認証トークンに基づいて行の更新と削除を拒否/許可するテーブルのトリガを生成します。';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'ロングトランザクション機能を無効にします。この関数によって、ロングトランザクション機能のためのメタデータテーブルが削除され、ロックチェックテーブルに付けられた全てのトリガが削除されます。';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'ロングトランザクション機能を有効にします。この関数によって、必要なメタデータテーブルが生成されます。このセクションにある他の関数を呼ぶ前に、一度呼ぶ必要があります。二度呼んでも構いません。';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - 指定した認証IDが保持するロックを全て削除します。解放されたロックの数が返されます。';
			
COMMENT ON AGGREGATE ST_Accum(geometry) IS 'args: geomfield - 集約関数です。ジオメトリの配列を生成します。';
			
COMMENT ON FUNCTION Box2D(geometry ) IS 'args: geomA - ジオメトリの最大範囲を表すBOX2Dを返します。';
			
COMMENT ON FUNCTION Box3D(geometry ) IS 'args: geomA - ジオメトリの最大範囲を表すBOX3Dを返します。';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text , boolean ) IS 'args: schema_name, table_name, geocolumn_name, parent_ony - 与えられた空間テーブルの「見積もられた」範囲を返します。ジオメトリカラムの統計情報から見積もります。指定されていない場合は現在のスキーマが使われます。';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text ) IS 'args: schema_name, table_name, geocolumn_name - 与えられた空間テーブルの「見積もられた」範囲を返します。ジオメトリカラムの統計情報から見積もります。指定されていない場合は現在のスキーマが使われます。';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text ) IS 'args: table_name, geocolumn_name - 与えられた空間テーブルの「見積もられた」範囲を返します。ジオメトリカラムの統計情報から見積もります。指定されていない場合は現在のスキーマが使われます。';
			
COMMENT ON FUNCTION ST_Expand(geometry , float) IS 'args: geom, units_to_expand - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON FUNCTION ST_Expand(geometry , float, float, float, float) IS 'args: geom, dx, dy, dz=0, dm=0 - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON FUNCTION ST_Expand(box2d , float) IS 'args: box, units_to_expand - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON FUNCTION ST_Expand(box2d , float, float) IS 'args: box, dx, dy - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON FUNCTION ST_Expand(box3d , float) IS 'args: box, units_to_expand - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON FUNCTION ST_Expand(box3d , float, float, float) IS 'args: box, dx, dy, dz=0 - 入力ジオメトリのバウンディングボックスから全ての方向に拡張されたバウンディングボックスを返します。倍精度浮動小数点数を使います。';
			
COMMENT ON AGGREGATE ST_Extent(geometry) IS 'args: geomfield - ジオメトリのバウンディングボックスを返す集約関数です。';
			
COMMENT ON AGGREGATE ST_3DExtent(geometry) IS 'args: geomfield - ジオメトリのbox3Dバウンディングボックスを返す集約関数です。';
			
COMMENT ON FUNCTION Find_SRID(varchar , varchar , varchar ) IS 'args: a_schema_name, a_table_name, a_geomfield_name - この関数の書式はfind_srid(a_db_schema, a_table, a_column)です。GEOMETRY_COLUMNSで検索して、指定したカラムのSRID整数値を返します。';
			
COMMENT ON FUNCTION ST_MemSize(geometry ) IS 'args: geomA - ジオメトリが取る容量 (バイト単位)を返します。';
			
COMMENT ON FUNCTION ST_PointInsideCircle(geometry , float , float , float ) IS 'args: a_point, center_x, center_y, radius - ポイントジオメトリがcenter_x, center_y , radiusで定義される円内にあるかどうかを見ます。';
			
COMMENT ON FUNCTION PostGIS_AddBBox(geometry ) IS 'args: geomA - ジオメトリにバウンディングボックスを追加します。';
			
COMMENT ON FUNCTION PostGIS_DropBBox(geometry ) IS 'args: geomA - ジオメトリからバウンディングボックスのキャッシュを削除します。';
			
COMMENT ON FUNCTION PostGIS_HasBBox(geometry ) IS 'args: geomA - ジオメトリのバウンディングボックスがキャッシュされている場合にはTRUEを返し、他の場合にはFALSEを返します。';
			